Bug 193861 - audio/linux-f10-pulseaudio-libs: fix depends and comment, convert to @sample
Summary: audio/linux-f10-pulseaudio-libs: fix depends and comment, convert to @sample
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-09-23 07:25 UTC by Jan Beich
Modified: 2015-01-07 14:31 UTC (History)
1 user (show)

See Also:


Attachments
fix (3.19 KB, patch)
2014-09-23 07:25 UTC, Jan Beich
no flags Details | Diff
fix, v1.1 (4.09 KB, patch)
2014-11-25 01:34 UTC, Jan Beich
no flags Details | Diff
linux-f10-pulseaudio-libs-0.9.14.log (13.99 KB, text/plain)
2014-11-25 01:37 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-09-23 07:25:50 UTC
Created attachment 147587 [details]
fix

$ readelf -d $(make -V WRKSRC)/usr/lib/libpulse.so.0 | fgrep NEEDED
 0x00000001 (NEEDED)                     Shared library: [libSM.so.6]
 0x00000001 (NEEDED)                     Shared library: [libICE.so.6]
 0x00000001 (NEEDED)                     Shared library: [libX11.so.6]
 0x00000001 (NEEDED)                     Shared library: [libasyncns.so.0]
 0x00000001 (NEEDED)                     Shared library: [libcap.so.2]
 0x00000001 (NEEDED)                     Shared library: [libgdbm.so.2]
 0x00000001 (NEEDED)                     Shared library: [librt.so.1]
 0x00000001 (NEEDED)                     Shared library: [libdl.so.2]
 0x00000001 (NEEDED)                     Shared library: [libm.so.6]
 0x00000001 (NEEDED)                     Shared library: [libpthread.so.0]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
Comment 1 Bugzilla Automation freebsd_committer 2014-09-23 07:25:50 UTC
Auto-assigned to maintainer emulation@FreeBSD.org
Comment 2 John Marino freebsd_committer 2014-11-24 19:28:40 UTC
Jan, is this still valid?
I can't test it, but I'm willing to commit it based on your recommendation (maintainer time out)
Comment 3 Jan Beich freebsd_committer 2014-11-25 01:34:10 UTC
Created attachment 149812 [details]
fix, v1.1

Yes and oops:
- forgot to svn add .sample file (svn mv vs. svn patch)
- net-im/skype4 no longer needs libasyncns dependency,
  linux-c6-pulseaudio-libs was fixed by ports r369048
Comment 4 Jan Beich freebsd_committer 2014-11-25 01:37:03 UTC
Created attachment 149813 [details]
linux-f10-pulseaudio-libs-0.9.14.log

Actually, |bulk -t| unless it's different from |testport|.
Comment 5 John Marino freebsd_committer 2014-11-25 07:13:46 UTC
I'll overrake this PR (emulation@ timed out)
Comment 6 commit-hook freebsd_committer 2014-11-25 17:55:57 UTC
A commit references this bug:

Author: marino
Date: Tue Nov 25 17:55:03 UTC 2014
New revision: 373422
URL: https://svnweb.freebsd.org/changeset/ports/373422

Log:
  audio/linux-f10-pulseaudio-libs: Note depends, use @sample conf

  PR:		193861
  Submitted by:	Jan Beich
  Approved by:	maintainer timeout (4 months)

Changes:
  head/audio/linux-f10-pulseaudio-libs/Makefile
  head/audio/linux-f10-pulseaudio-libs/files/patch-etc_pulse_client.conf-dist
  head/audio/linux-f10-pulseaudio-libs/files/patch-etc_pulse_client.conf.sample
  head/audio/linux-f10-pulseaudio-libs/pkg-plist
Comment 7 John Marino freebsd_committer 2014-11-25 17:56:49 UTC
Thanks for the update!  The fix is in.
Comment 8 John Marino freebsd_committer 2014-11-25 17:57:39 UTC
ah, I can't count.

timeout was "only" 2 months.  oh well.